FFS(3)

NAME
ffs, ffsl, fls, flsl - find first or last bit set in a bit string

LIBRARY
libc

SYNOPSIS
#include <strings.h>
int
ffs(int value);
int
ffsl(long value);
int
fls(int value);
int
flsl(long value);

DESCRIPTION
The ffs() and ffsl() functions find the first bit set in value and return the index of that bit.

The fls() and flsl() functions find the last bit set in value and return the index of that bit.

Bits are numbered starting from 1, starting at the right-most (least significant) bit. A return value of zero from any of these functions means that the argument was zero.

SEE ALSO
bitstring(3)

HISTORY
The ffs() function appeared in 4.3BSD. Its prototype existed previously in <string.h> before it was moved to <strings.h> for p1003.1-2001 compliance.

The ffsl(), fls() and flsl() functions appeared in FreeBSD 5.3.